API ReferenceAdmin Resource Servers
Update Resource Server
PATCH
/v1/admin/resource-servers/{rs_id}Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
rs_id*Rs Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Patch a resource server. audience is intentionally absent — it is
immutable (issued tokens + the downstream API key off it).
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/admin/resource-servers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "audience": "string", "description": "string", "token_lifetime_seconds": 0, "enforce_rbac": true, "permission_count": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}